org.eclipse.viatra.cep.vepl.validation

## Class ValidationHelper

- java.lang.Object
- - org.eclipse.viatra.cep.vepl.validation.ValidationHelper

-     public class ValidationHelper
      extends java.lang.Object

  Helper class for the `VeplValidator`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static boolean` | `_hasMultiplicity(Atom atom)`
    `protected static boolean` | `_hasMultiplicity(ComplexEventExpression expression)`
    `protected static boolean` | `_hasTimewindow(Atom atom)`
    `protected static boolean` | `_hasTimewindow(ComplexEventExpression expression)`
    `static ComplexEventPattern` | `findContainingComplexEventPatternDefinition(ParameterizedPatternCall parameterizedPatternCall)`
    `static java.lang.String` | `foldWithComma(java.lang.Iterable<java.lang.String> iterable)`
    `static boolean` | `hasInfiniteMultiplicity(ComplexEventExpression complexEventExpression)`
    `static boolean` | `hasMultiplicity(ComplexEventExpression atom)`
    `static boolean` | `hasParameterList(ParameterizedPatternCall patternCall)`
    `static boolean` | `hasTimewindow(ComplexEventExpression atom)`
    `static boolean` | `nullOrOneMultiplicity(AbstractMultiplicity multiplicity)`
    `static boolean` | `qualifiesAsFollowingOperator(ComplexEventOperator operator)`
    `static java.util.List<ChainedExpression>` | `subListFrom(java.util.List<ChainedExpression> list, ComplexEventExpression element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationHelper

          public ValidationHelper()

  - ### Method Detail

    - #### _hasTimewindow

          protected static boolean _hasTimewindow(ComplexEventExpression expression)

    - #### _hasTimewindow

          protected static boolean _hasTimewindow(Atom atom)

    - #### _hasMultiplicity

          protected static boolean _hasMultiplicity(ComplexEventExpression expression)

    - #### _hasMultiplicity

          protected static boolean _hasMultiplicity(Atom atom)

    - #### hasInfiniteMultiplicity

          public static boolean hasInfiniteMultiplicity(ComplexEventExpression complexEventExpression)

    - #### nullOrOneMultiplicity

          public static boolean nullOrOneMultiplicity(AbstractMultiplicity multiplicity)

    - #### hasParameterList

          public static boolean hasParameterList(ParameterizedPatternCall patternCall)

    - #### qualifiesAsFollowingOperator

          public static boolean qualifiesAsFollowingOperator(ComplexEventOperator operator)

    - #### subListFrom

          public static java.util.List<ChainedExpression> subListFrom(java.util.List<ChainedExpression> list,
                                                                      ComplexEventExpression element)

    - #### findContainingComplexEventPatternDefinition

          public static ComplexEventPattern findContainingComplexEventPatternDefinition(ParameterizedPatternCall parameterizedPatternCall)

    - #### foldWithComma

          public static java.lang.String foldWithComma(java.lang.Iterable<java.lang.String> iterable)

    - #### hasTimewindow

          public static boolean hasTimewindow(ComplexEventExpression atom)

    - #### hasMultiplicity

          public static boolean hasMultiplicity(ComplexEventExpression atom)